> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show a porting event

> Show a specific porting event.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/porting-events.yml get /porting/events/{id}
openapi: 3.1.0
info:
  title: Telnyx Porting Events API
  version: 2.0.0
  description: API for porting events and reports.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /porting/events/{id}:
    get:
      tags:
        - Porting Orders
      summary: Show a porting event
      description: Show a specific porting event.
      operationId: showPortingEvent
      parameters:
        - name: id
          description: Identifies the porting event.
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          $ref: '#/components/responses/ShowPortingEventResponse'
        '404':
          description: Not found
        '500':
          description: Internal server error
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const event = await
            client.porting.events.retrieve('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');


            console.log(event.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            event = client.porting.events.retrieve(
                "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(event.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tevent, err := client.Porting.Events.Get(context.TODO(), \"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", event.Data)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.porting.events.EventRetrieveParams;
            import com.telnyx.sdk.models.porting.events.EventRetrieveResponse;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    EventRetrieveResponse event = client.porting().events().retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            event =
            telnyx.porting.events.retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")


            puts(event)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $event = $client->porting->events->retrieve(
                '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e'
              );

              var_dump($event);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx porting:events retrieve \
              --api-key 'My API Key' \
              --id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
components:
  responses:
    ShowPortingEventResponse:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                $ref: '#/components/schemas/PortingEvent'
  schemas:
    PortingEvent:
      type: object
      oneOf:
        - $ref: '#/components/schemas/PortingEventDeletedPayload'
        - $ref: '#/components/schemas/PortingEventMessagingChangedPayload'
        - $ref: '#/components/schemas/PortingEventStatusChangedEvent'
        - $ref: '#/components/schemas/PortingEventNewCommentEvent'
        - $ref: '#/components/schemas/PortingEventSplitEvent'
        - $ref: '#/components/schemas/PortingEventWithoutWebhook'
      discriminator:
        propertyName: event_type
        mapping:
          porting_order.deleted:
            $ref: '#/components/schemas/PortingEventDeletedPayload'
          porting_order.messaging_changed:
            $ref: '#/components/schemas/PortingEventMessagingChangedPayload'
          porting_order.status_changed:
            $ref: '#/components/schemas/PortingEventStatusChangedEvent'
          porting_order.new_comment:
            $ref: '#/components/schemas/PortingEventNewCommentEvent'
          porting_order.split:
            $ref: '#/components/schemas/PortingEventSplitEvent'
          porting_order.loa_updated:
            $ref: '#/components/schemas/PortingEventWithoutWebhook'
          porting_order.sharing_token_expired:
            $ref: '#/components/schemas/PortingEventWithoutWebhook'
    PortingEventDeletedPayload:
      type: object
      properties:
        id:
          type: string
          description: Uniquely identifies the event.
          format: uuid
          example: eef3340b-8903-4466-b445-89b697315a3a
        event_type:
          type: string
          description: Identifies the event type
          enum:
            - porting_order.deleted
          example: porting_order.deleted
        porting_order_id:
          type: string
          format: uuid
          description: Identifies the porting order associated with the event.
          example: 9471c873-e3eb-4ca1-957d-f9a451334d52
        available_notification_methods:
          type: array
          items:
            type: string
            enum:
              - email
              - webhook
              - webhook_v1
          description: Indicates the notification methods used.
        payload_status:
          type: string
          description: The status of the payload generation.
          enum:
            - created
            - completed
          example: created
        payload:
          type: object
          properties:
            id:
              type: string
              format: uuid
              example: 96dfa9e4-c753-4fd3-97cd-42d66f26cf0c
              description: Identifies the porting order that was deleted.
            customer_reference:
              type: string
              description: >-
                Identifies the customer reference associated with the porting
                order.
              example: my-ref-001
            deleted_at:
              type: string
              format: date-time
              description: >-
                ISO 8601 formatted date indicating when the porting order was
                deleted.
              example: '2021-03-19T10:07:15.527Z'
            record_type:
              type: string
              example: porting_event
              description: Identifies the type of the resource.
              readOnly: true
            created_at:
              type: string
              format: date-time
              description: >-
                ISO 8601 formatted date indicating when the resource was
                created.
              example: '2021-03-19T10:07:15.527000Z'
            updated_at:
              type: string
              format: date-time
              description: >-
                ISO 8601 formatted date indicating when the resource was
                updated.
              example: '2021-03-19T10:07:15.527000Z'
    PortingEventMessagingChangedPayload:
      type: object
      properties:
        id:
          type: string
          description: Uniquely identifies the event.
          format: uuid
          example: eef3340b-8903-4466-b445-89b697315a3a
        event_type:
          type: string
          description: Identifies the event type
          enum:
            - porting_order.messaging_changed
          example: porting_order.messaging_changed
        porting_order_id:
          type: string
          format: uuid
          description: Identifies the porting order associated with the event.
          example: 9471c873-e3eb-4ca1-957d-f9a451334d52
        available_notification_methods:
          type: array
          items:
            type: string
            enum:
              - email
              - webhook
              - webhook_v1
          description: Indicates the notification methods used.
        payload_status:
          type: string
          description: The status of the payload generation.
          enum:
            - created
            - completed
          example: created
        payload:
          type: object
          description: The webhook payload for the porting_order.messaging_changed event
          properties:
            id:
              type: string
              format: uuid
              example: 96dfa9e4-c753-4fd3-97cd-42d66f26cf0c
              description: Identifies the porting order that was moved.
            customer_reference:
              type: string
              description: >-
                Identifies the customer reference associated with the porting
                order.
              example: my-ref-001
            support_key:
              type: string
              description: Identifies the support key associated with the porting order.
              example: sr_b1a2c3
            messaging:
              type: object
              description: The messaging portability status of the porting order.
              properties:
                messaging_capable:
                  type: boolean
                  description: Indicates whether the porting order is messaging capable.
                  example: true
                enable_messaging:
                  type: boolean
                  description: >-
                    Indicates whether Telnyx will port messaging capabilities
                    from the losing carrier. If false, any messaging
                    capabilities will stay with their current provider.
                  example: true
                messaging_port_status:
                  type: string
                  description: Indicates the messaging port status of the porting order.
                  enum:
                    - not_applicable
                    - pending
                    - activating
                    - exception
                    - canceled
                    - partial_port_complete
                    - ported
                  example: ported
                messaging_port_completed:
                  type: boolean
                  description: Indicates whether the messaging port is completed.
                  example: true
        record_type:
          type: string
          example: porting_event
          description: Identifies the type of the resource.
          readOnly: true
        created_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was created.
          example: '2021-03-19T10:07:15.527000Z'
        updated_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was updated.
          example: '2021-03-19T10:07:15.527000Z'
    PortingEventStatusChangedEvent:
      type: object
      properties:
        id:
          type: string
          description: Uniquely identifies the event.
          format: uuid
          example: eef3340b-8903-4466-b445-89b697315a3a
        event_type:
          type: string
          description: Identifies the event type
          enum:
            - porting_order.status_changed
          example: porting_order.status_changed
        porting_order_id:
          type: string
          format: uuid
          description: Identifies the porting order associated with the event.
          example: 9471c873-e3eb-4ca1-957d-f9a451334d52
        available_notification_methods:
          type: array
          items:
            type: string
            enum:
              - email
              - webhook
              - webhook_v1
          description: Indicates the notification methods used.
        payload_status:
          type: string
          description: The status of the payload generation.
          enum:
            - created
            - completed
          example: created
        payload:
          type: object
          description: The webhook payload for the porting_order.status_changed event
          properties:
            id:
              type: string
              format: uuid
              example: 96dfa9e4-c753-4fd3-97cd-42d66f26cf0c
              description: Identifies the porting order that was moved.
            customer_reference:
              type: string
              description: >-
                Identifies the customer reference associated with the porting
                order.
              example: my-ref-001
            status:
              $ref: '#/components/schemas/PortingOrderStatus'
            support_key:
              type: string
              description: Identifies the support key associated with the porting order.
              example: sr_b1a2c3
            updated_at:
              type: string
              format: date-time
              description: >-
                ISO 8601 formatted date indicating when the porting order was
                moved.
              example: '2021-03-19T10:07:15.527Z'
            webhook_url:
              type: string
              description: The URL to send the webhook to.
              example: https://example.com/webhook
        record_type:
          type: string
          example: porting_event
          description: Identifies the type of the resource.
          readOnly: true
        created_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was created.
          example: '2021-03-19T10:07:15.527000Z'
        updated_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was updated.
          example: '2021-03-19T10:07:15.527000Z'
    PortingEventNewCommentEvent:
      type: object
      properties:
        id:
          type: string
          description: Uniquely identifies the event.
          format: uuid
          example: eef3340b-8903-4466-b445-89b697315a3a
        event_type:
          type: string
          description: Identifies the event type
          enum:
            - porting_order.new_comment
          example: porting_order.new_comment
        porting_order_id:
          type: string
          format: uuid
          description: Identifies the porting order associated with the event.
          example: 9471c873-e3eb-4ca1-957d-f9a451334d52
        available_notification_methods:
          type: array
          items:
            type: string
            enum:
              - email
              - webhook
              - webhook_v1
          description: Indicates the notification methods used.
        payload_status:
          type: string
          description: The status of the payload generation.
          enum:
            - created
            - completed
          example: created
        payload:
          type: object
          description: The webhook payload for the porting_order.new_comment event
          properties:
            porting_order_id:
              type: string
              format: uuid
              example: 96dfa9e4-c753-4fd3-97cd-42d66f26cf0c
              description: Identifies the porting order that the comment was added to.
            support_key:
              type: string
              description: Identifies the support key associated with the porting order.
              example: sr_b1a2c3
            comment:
              type: object
              description: The comment that was added to the porting order.
              properties:
                id:
                  type: string
                  format: uuid
                  example: 96dfa9e4-c753-4fd3-97cd-42d66f26cf0c
                  description: Identifies the comment.
                body:
                  type: string
                  description: The body of the comment.
                  example: This is a comment.
                user_id:
                  type: string
                  format: uuid
                  example: 96dfa9e4-c753-4fd3-97cd-42d66f26cf0c
                  description: Identifies the user that create the comment.
                user_type:
                  type: string
                  example: user
                  description: Identifies the type of the user that created the comment.
                  enum:
                    - user
                    - admin
                    - system
                inserted_at:
                  type: string
                  format: date-time
                  description: >-
                    ISO 8601 formatted date indicating when the comment was
                    created.
                  example: '2021-03-19T10:07:15.527Z'
        record_type:
          type: string
          example: porting_event
          description: Identifies the type of the resource.
          readOnly: true
        created_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was created.
          example: '2021-03-19T10:07:15.527000Z'
        updated_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was updated.
          example: '2021-03-19T10:07:15.527000Z'
    PortingEventSplitEvent:
      type: object
      properties:
        id:
          type: string
          description: Uniquely identifies the event.
          format: uuid
          example: eef3340b-8903-4466-b445-89b697315a3a
        event_type:
          type: string
          description: Identifies the event type
          enum:
            - porting_order.split
          example: porting_order.split
        porting_order_id:
          type: string
          format: uuid
          description: Identifies the porting order associated with the event.
          example: 9471c873-e3eb-4ca1-957d-f9a451334d52
        available_notification_methods:
          type: array
          items:
            type: string
            enum:
              - email
              - webhook
              - webhook_v1
          description: Indicates the notification methods used.
        payload_status:
          type: string
          description: The status of the payload generation.
          enum:
            - created
            - completed
          example: created
        payload:
          type: object
          description: The webhook payload for the porting_order.split event
          properties:
            from:
              type: object
              description: The porting order that was split.
              properties:
                id:
                  type: string
                  format: uuid
                  example: 96dfa9e4-c753-4fd3-97cd-42d66f26cf0c
                  description: Identifies the porting order that was split.
            to:
              type: object
              description: The new porting order that the phone numbers was moved to.
              properties:
                id:
                  type: string
                  format: uuid
                  example: 96dfa9e4-c753-4fd3-97cd-42d66f26cf0c
                  description: Identifies the porting order that was split.
            porting_phone_numbers:
              type: array
              description: >-
                The list of porting phone numbers that were moved to the new
                porting order.
              items:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    example: 96dfa9e4-c753-4fd3-97cd-42d66f26cf0c
                    description: Identifies the porting phone number that was moved.
        record_type:
          type: string
          example: porting_event
          description: Identifies the type of the resource.
          readOnly: true
        created_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was created.
          example: '2021-03-19T10:07:15.527000Z'
        updated_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was updated.
          example: '2021-03-19T10:07:15.527000Z'
    PortingEventWithoutWebhook:
      type: object
      properties:
        id:
          type: string
          description: Uniquely identifies the event.
          format: uuid
          example: eef3340b-8903-4466-b445-89b697315a3a
        event_type:
          type: string
          description: Identifies the event type
          enum:
            - porting_order.loa_updated
            - porting_order.sharing_token_expired
          example: porting_order.loa_updated
        porting_order_id:
          type: string
          format: uuid
          description: Identifies the porting order associated with the event.
          example: 9471c873-e3eb-4ca1-957d-f9a451334d52
        available_notification_methods:
          type: array
          items:
            type: string
            enum:
              - email
              - webhook
              - webhook_v1
          description: Indicates the notification methods used.
        payload_status:
          type: string
          description: The status of the payload generation.
          enum:
            - created
            - completed
          example: created
        payload:
          type: 'null'
        record_type:
          type: string
          example: porting_event
          description: Identifies the type of the resource.
          readOnly: true
        created_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was created.
          example: '2021-03-19T10:07:15.527000Z'
        updated_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was updated.
          example: '2021-03-19T10:07:15.527000Z'
    PortingOrderStatus:
      type: object
      description: Porting order status
      properties:
        details:
          type: array
          items:
            $ref: '#/components/schemas/PortingOrdersExceptionType'
          description: A list of 0 or more details about this porting order's status
        value:
          type: string
          description: The current status of the porting order
          example: ported
          enum:
            - draft
            - in-process
            - submitted
            - exception
            - foc-date-confirmed
            - ported
            - cancelled
            - cancel-pending
    PortingOrdersExceptionType:
      type: object
      properties:
        code:
          type: string
          description: Identifier of an exception type
          enum:
            - ACCOUNT_NUMBER_MISMATCH
            - AUTH_PERSON_MISMATCH
            - BTN_ATN_MISMATCH
            - ENTITY_NAME_MISMATCH
            - FOC_EXPIRED
            - FOC_REJECTED
            - LOCATION_MISMATCH
            - LSR_PENDING
            - MAIN_BTN_PORTING
            - OSP_IRRESPONSIVE
            - OTHER
            - PASSCODE_PIN_INVALID
            - PHONE_NUMBER_HAS_SPECIAL_FEATURE
            - PHONE_NUMBER_MISMATCH
            - PHONE_NUMBER_NOT_PORTABLE
            - PORT_TYPE_INCORRECT
            - PORTING_ORDER_SPLIT_REQUIRED
            - POSTAL_CODE_MISMATCH
            - RATE_CENTER_NOT_PORTABLE
            - SV_CONFLICT
            - SV_UNKNOWN_FAILURE
          example: ENTITY_NAME_MISMATCH
        description:
          type: string
          description: Description of an exception type
          example: Entity name does not match that on the CSR
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````